IMG_Save(3)

NAME
IMG_Save - Save an SDL_Surface into an image file.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_Save(SDL_Surface *surface, const char *file);

DESCRIPTION
If the file already exists, it will be overwritten.

For formats that accept a quality, a default quality of 90 will be used.

FUNCTION PARAMETERS

surface
    the SDL surface to save.

file
    path on the filesystem to write new file to.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_SaveTyped_IO(3), IMG_SaveAVIF(3), IMG_SaveBMP(3), IMG_SaveCUR(3), IMG_SaveGIF(3), IMG_SaveICO(3), IMG_SaveJPG(3), IMG_SavePNG(3), IMG_SaveTGA(3), IMG_SaveWEBP(3)